#
# Conditional build:
%bcond_without	gnutls		# GNU TLS instead of OpenSSL (use same as curl)
#
Summary:	A utility for getting files from RTMP servers
Summary(pl.UTF-8):	Narzędzie do pobierania plików z sewerów RTMP
Name:		rtmpdump
Version:	2.4
%define	gitref	c5f04a58fc2aeea6296ca7c44ee4734c18401aa3
%define	snap	20190331
%define	rel	1
Release:	1.%{snap}.%{rel}
License:	GPL v2
Group:		Applications/Networking
#Source0:	http://rtmpdump.mplayerhq.hu/download/%{name}-%{version}.tgz
Source0:	https://git.ffmpeg.org/gitweb/rtmpdump.git/snapshot/%{gitref}.tar.gz?fakename=/%{name}-%{snap}.tar.gz
# Source0-md5:	64fc96a898c038d75bbaf13325b0fda2
Patch0:		%{name}-libtool.patch
URL:		http://rtmpdump.mplayerhq.hu/
%if %{with gnutls}
# nettle based
BuildRequires:	gnutls-devel >= 2.12
%else
BuildRequires:	openssl-devel >= 0.9.8
%endif
BuildRequires:	libtool
BuildRequires:	zlib-devel
Requires:	librtmp = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
rtmpdump is a toolkit for RTMP streams. All forms of RTMP are
supported, including rtmp://, rtmpt://, rtmpe://, rtmpte:// and
rtmps://.

%description -l pl.UTF-8
rtmpdump to zestaw narzędzi do strumieni RTMP. Obsługiwane są
wszystkie postaci RTMP, w tym rtmp://, rtmpt://, rtmpe://, rtmpte://
oraz rtmps://.

%package -n librtmp
Summary:	RTMP library - RTMPDump Real-Time Messaging Protocol API
Summary(pl.UTF-8):	Biblioteka RTMP - API do obsługi protokołu Real-Time Messaging Protocol
License:	LGPL v2.1+
Group:		Libraries

%description -n librtmp
RTMP library - RTMPDump Real-Time Messaging Protocol API.

%description -n librtmp -l pl.UTF-8
Biblioteka RTMP - API do obsługi protokołu RTMP (Real-Time Messaging
Protocol).

%package -n librtmp-devel
Summary:	Header files for RTMP library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki RTMP
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	librtmp = %{version}-%{release}
%if %{with gnutls}
Requires:	gnutls-devel >= 2.12
%else
Requires:	openssl-devel >= 0.9.8
%endif
Requires:	zlib-devel

%description -n librtmp-devel
Header files for RTMP library.

%description -n librtmp-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki RTMP.

%package -n librtmp-static
Summary:	Static version of RTMP library
Summary(pl.UTF-8):	Statyczna wersja biblioteki RTMP
License:	LGPL v2.1+
Group:		Development/Libraries
Requires:	librtmp-devel = %{version}-%{release}

%description -n librtmp-static
Static version of RTMP library.

%description -n librtmp-static -l pl.UTF-8
Statyczna wersja biblioteki RTMP.

%prep
%setup -q -n %{name}-c5f04a5
%patch0 -p1

%build
%{__make} \
	CRYPTO=%{?with_gnutls:GNUTLS}%{!?with_gnutls:OPENSSL} \
	libdir=%{_libdir} \
	CC="%{__cc}" \
	OPT="%{rpmcppflags} %{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	libdir=%{_libdir} \
	mandir=%{_mandir} \
	prefix=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-n librtmp -p /sbin/ldconfig
%postun -n librtmp -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/rtmpdump
%attr(755,root,root) %{_sbindir}/rtmpgw
%attr(755,root,root) %{_sbindir}/rtmpsrv
%attr(755,root,root) %{_sbindir}/rtmpsuck
%{_mandir}/man1/rtmpdump.1*
%{_mandir}/man8/rtmpgw.8*

%files -n librtmp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librtmp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librtmp.so.0

%files -n librtmp-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/librtmp.so
%{_libdir}/librtmp.la
%{_includedir}/librtmp
%{_pkgconfigdir}/librtmp.pc
%{_mandir}/man3/librtmp.3*

%files -n librtmp-static
%defattr(644,root,root,755)
%{_libdir}/librtmp.a
%changelog
* Wed Jul 17 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rtmpdump.git;a=log;h=master

* Wed Jul 17 2019 Jakub Bogusz <qboosh@pld-linux.org> 76c2861
- updated to latest snap, contains some overflow fixes

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> fd8cf39
- release 4, rebuild against libnettle.so.6 (nettle-3.5)

* Mon Sep 17 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7339706
- rel 3; switch from openssl to gnutls until openssl support works with openssl 1.1.1

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 48811b9
- release 2 (by relup.sh)

* Sat Apr 14 2018 Jakub Bogusz <qboosh@pld-linux.org> d2394f7
- updated to post-2.4 git snapshot (last change is dated 20151223)
- updated libtool patch
- removed obsolete gnutls,pc patches

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e7c5ac5
- x32 rebuild
- release 5 (by relup.sh)

* Sun Feb 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 64ab29b
- added gnutls patch (support nettle-based gnutls, don't use private symbols + dependent commits)
- updated libtool patch
- added pc patch (fix libdir)
- release 4

* Sat Nov 24 2012 Jan Rękorajski <baggins@pld-linux.org> 9904243
- rel 3

* Sat Nov 24 2012 Jan Rękorajski <baggins@pld-linux.org> c158474
- rel 2.1, same as curl test

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 80fd58e
- release 2

* Fri Aug 13 2010 Jakub Bogusz <qboosh@pld-linux.org> ac16aa2
- pl
- pass LDFLAGS that are used for library linking too

* Sun Jul 25 2010 sparky <sparky@pld-linux.org> fcb9f7c
- updated to: 2.3
- added gnutls bcond
- build with gnutls by default, because curl uses it

* Sun Jul 25 2010 sparky <sparky@pld-linux.org> 7ac640d
- updated for 2.3

* Sun Jun 27 2010 sparky <sparky@pld-linux.org> a6cacb7
- works, release: 1

* Sun Jun 27 2010 sparky <sparky@pld-linux.org> c83afe8
- added libtool patch
- other build fixes

* Sun Jun 27 2010 sparky <sparky@pld-linux.org> ecceeb3
- libtoolized whole build process to get shared library

* Sun Jun 27 2010 sparky <sparky@pld-linux.org> 387cf6f
- NEW, NFY, still working no it

